| Flutter Windows Embedder |

Public Attributes | List of all members
FlutterDesktopEngineProperties Struct Reference

`#include <flutter_windows.h>`

## Public Attributes
const wchar_t * | assets_path
const wchar_t * | icu_data_path
const wchar_t * | aot_library_path
const char * | dart_entrypoint
int | dart_entrypoint_argc
const char ** | dart_entrypoint_argv
FlutterDesktopGpuPreference | gpu_preference
FlutterDesktopUIThreadPolicy | ui_thread_policy

## Detailed Description

Definition at line 64 of file flutter_windows.h.

## Member Data Documentation

## ◆ aot_library_path

const wchar_t* FlutterDesktopEngineProperties::aot_library_path

Definition at line 79 of file flutter_windows.h.

Referenced by flutter::FlutterEngine::FlutterEngine(), and flutter::FlutterProjectBundle::FlutterProjectBundle().

## ◆ assets_path

const wchar_t* FlutterDesktopEngineProperties::assets_path

Definition at line 68 of file flutter_windows.h.

Referenced by flutter::FlutterEngine::FlutterEngine(), and flutter::testing::TEST().

## ◆ dart_entrypoint

const char* FlutterDesktopEngineProperties::dart_entrypoint

Definition at line 87 of file flutter_windows.h.

Referenced by flutter::FlutterEngine::FlutterEngine(), and flutter::FlutterProjectBundle::FlutterProjectBundle().

## ◆ dart_entrypoint_argc

int FlutterDesktopEngineProperties::dart_entrypoint_argc

Definition at line 90 of file flutter_windows.h.

Referenced by flutter::FlutterEngine::FlutterEngine(), flutter::FlutterProjectBundle::FlutterProjectBundle(), and flutter::testing::TEST().

## ◆ dart_entrypoint_argv

const char** FlutterDesktopEngineProperties::dart_entrypoint_argv

Definition at line 94 of file flutter_windows.h.

Referenced by flutter::FlutterEngine::FlutterEngine(), flutter::FlutterProjectBundle::FlutterProjectBundle(), and flutter::testing::TEST().

## ◆ gpu_preference

FlutterDesktopGpuPreference FlutterDesktopEngineProperties::gpu_preference

Definition at line 97 of file flutter_windows.h.

Referenced by flutter::FlutterEngine::FlutterEngine(), and flutter::FlutterProjectBundle::FlutterProjectBundle().

## ◆ icu_data_path

const wchar_t* FlutterDesktopEngineProperties::icu_data_path

Definition at line 73 of file flutter_windows.h.

Referenced by flutter::FlutterEngine::FlutterEngine(), and flutter::testing::TEST().

## ◆ ui_thread_policy

FlutterDesktopUIThreadPolicy FlutterDesktopEngineProperties::ui_thread_policy

Definition at line 100 of file flutter_windows.h.

Referenced by flutter::FlutterEngine::FlutterEngine(), and flutter::FlutterProjectBundle::FlutterProjectBundle().

The documentation for this struct was generated from the following file:

- shell/platform/windows/public/flutter_windows.h